Subject: bug#2688: send-emacs-bug freezes

From: David Reitter <[email-masked]>
Date: Mon, 16 Mar 2009 14:19:55 -0400

In an Emacs -Q (current 23 CVS build, under NS) and also in Emacs -Q - 
nw, executing this:

(add-hook 'text-mode-hook (defun turn-on-longlines-mode () (longlines- 
mode 1)))

And then doing M-x report-emacs-bug RET leads to a freeze (non C- 
g'able in NS port at least) just after the subject line has been  
entered.

Note that longlines mode used to be in the menu, implemented using  
text-mode-hook, so I would recommend this be fixed before release...

Begin forwarded message:

> From: Gilbert Harman <[email-masked]>
> Date: March 15, 2009 3:25:57 PM EDT
> To: David Reitter <[email-masked]>
> Cc: "emacs.app dev list" <[email-masked]>
> Subject: Re: [Emacs.app dev]: FYI: Two problems with Emacs.app, one  
> new, one  old.
>
> Here is a minimal .emacs, after which Send Bug Report freezes up for  
> me.
>
>     Gil
>
> ===========
>
> (defun longlines ()
>   (interactive)
>   (and
>    (setq fill-column 78)
>    (longlines-mode)))
>
> (add-hook 'text-mode-hook
>       '(lambda ()
> ;;     (auto-fill-mode 1)    ;text without fill is nil
> ;;     (local-set-key "\es" 'word-search-forward)
> ;;     (setq ispell-filter-hook "tr")
> ;;     (setq ispell-filter-hook-args '("-cs" "A-Za-z" "\012"))
>      (longlines)
> ))
>
> ===========
>
>
> On Sun, Mar 15, 2009 at 12:56 PM, David Reitter <[email-masked] 
> > wrote:
> On Mar 15, 2009, at 12:49 PM, Gilbert Harman wrote:
>
> But with .emacs removed, Send Bug Report does not freeze up after I  
> enter something to "Bug Subject:"
>
> My default mail client is gmail.  If I want to send a bug report in  
> Carbon emacs (currently 22.3.1) everything works until it is time to  
> send the mail, at which point I copy the report to gmail.  In the  
> CVS version I am able to enter text for "Bug Subject" but when I hit  
> return everything freezes until I kill the program.
>
>
> OK, care sharing your .emacs?  This would be quite important to fix.
>
> Also, you could try this:
>
> (setq send-mail-function 'sendmail-send-it)
>
> This will allow you to just send the e-mail off with C-c C-c.  It  
> will use the "from" address as shown in Emacs.
> Note that while this should be OK, your e-mail will be appear more  
> suspicious to spam filters if it is sent from a "dynamic IP" (home  
> broadband) account.  And of course it won't end up in your Sent Mail  
> folder.
>
> - David
>
>